View Issue Details

IDProjectCategoryView StatusLast Update
0015865ScribusImport / Exportpublic2020-04-05 19:37
Reportertdb Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0015865: Rotated images in a PDF are imported incorrectly
DescriptionImporting a PDF with rotated images causes the images to be incorrectly scaled and cropped. I have not been able to divine any particular pattern or formula, but see the attached image for how it looks.
Steps To ReproduceImport the attached PDF into Scribus as vector graphics.
TagsNo tags attached.
PatchNo

Activities

tdb

2019-10-22 15:08

reporter  

illu_2019_1_23.pdf (788,266 bytes)
scribus_image_problem.jpg (290,469 bytes)
scribus_image_problem.jpg (290,469 bytes)

tdb

2019-10-22 15:11

reporter   ~0046822

Forgot to mention: right side in the image is rendered by Evince and shows how the PDF should look. Left side is the incorrect import by Scribus.

JLuc

2019-10-22 15:24

developer   ~0046823

Confirmed on Scribus 1.5.6.svn 31 Juillet 2019 - Identifiant de compilation : C--T-F-C1.15.10-64bit - Utilisation de Ghostscript version 9.26

ale

2019-10-23 06:35

manager   ~0046832

@tdb , could you please also provide the .sla creating the pdf? (if possible collected for output)

jghali

2019-10-23 06:46

administrator   ~0046833

@ale, the .sla will not be useful in this case

ale

2019-10-23 06:57

manager   ~0046834

ok, jean... i thought that knowing how scribus creates this pdf might help fixing how it reads it...

@jghali , can the bug be fixed? tdb would need a solution for production before december...

jghali

2019-10-23 07:26

administrator   ~0046835

That one is going to be difficult tbh. I already tried a while ago, but did not succeed.

ale

2019-10-23 08:53

manager   ~0046837

Last edited: 2019-10-23 08:55

View 2 revisions

i have reduced the original document by @tdb to a single image and "graphically" found out why it's skewed.

i'm waiting for tdb's agreement to upload the image here. at least as a private note.

ale

2019-10-23 09:22

manager   ~0046838

the file to be imported is swimming.pdf.

the other files document how the position is "calculated".

swimming-howto.pdf (482,335 bytes)

ale

2019-10-23 09:26

manager  

swimming-howto.png (500,833 bytes)
swimming-howto.png (500,833 bytes)

ale

2019-10-23 12:45

manager  

swimming.pdf (542,314 bytes)

jghali

2020-03-26 12:50

administrator   ~0047468

Appears to be fixed as of r23538, mostly thanks to Pontobart.

Issue History

Date Modified Username Field Change
2019-10-22 15:08 tdb New Issue
2019-10-22 15:08 tdb File Added: illu_2019_1_23.pdf
2019-10-22 15:08 tdb File Added: scribus_image_problem.jpg
2019-10-22 15:11 tdb Note Added: 0046822
2019-10-22 15:24 JLuc Assigned To => JLuc
2019-10-22 15:24 JLuc Status new => confirmed
2019-10-22 15:24 JLuc Note Added: 0046823
2019-10-22 17:17 JLuc Assigned To JLuc =>
2019-10-23 06:35 ale Note Added: 0046832
2019-10-23 06:46 jghali Note Added: 0046833
2019-10-23 06:57 ale Note Added: 0046834
2019-10-23 07:26 jghali Note Added: 0046835
2019-10-23 08:53 ale Note Added: 0046837
2019-10-23 08:55 ale Note Edited: 0046837 View Revisions
2019-10-23 09:22 ale File Added: swimming.pdf
2019-10-23 09:22 ale File Added: swimming-howto.pdf
2019-10-23 09:22 ale File Added: swimming-howto.png
2019-10-23 09:22 ale Note Added: 0046838
2019-10-23 09:25 ale File Deleted: swimming-howto.png
2019-10-23 09:26 ale File Added: swimming-howto.png
2019-10-23 12:44 ale File Deleted: swimming.pdf
2019-10-23 12:45 ale File Added: swimming.pdf
2020-03-26 12:50 jghali Assigned To => jghali
2020-03-26 12:50 jghali Status confirmed => resolved
2020-03-26 12:50 jghali Resolution open => fixed
2020-03-26 12:50 jghali Fixed in Version => 1.5.6.svn
2020-03-26 12:50 jghali Note Added: 0047468
2020-04-05 19:37 cbradney Status resolved => closed